> Agent-readable docs index: /llms.txt. Download /docs.zip to grep all markdown files locally.

---
title: "Get latest news"
description: "Get the latest news articles from 5,000+ sources"
api: "GET /api/v1/news/latest"
gridGap: 30
---

<Aside full>
  <RequestExample>
    ```bash title="cURL" lines=false
    curl -X GET "https://api.adjacent.markets/api/v1/news/latest" \
      -H "Authorization: Bearer <token>"
    ```
  </RequestExample>
</Aside>

<OpenAPIEndpoint {...{"method":"get","path":"/api/v1/news/latest","summary":"Get latest news","description":"Get the latest news articles from 5,000+ sources","parameters":[{"name":"page","in":"query","description":"Page number","schema":{"type":"integer","default":1,"minimum":1}},{"name":"per_page","in":"query","description":"Items per page","schema":{"type":"integer","default":100,"minimum":1,"maximum":500}},{"name":"days","in":"query","description":"Number of days to look back","schema":{"type":"integer","default":7,"minimum":1,"maximum":365}}],"responses":[{"status":"200","description":"Paginated news articles","schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","required":["id","title"],"properties":{"id":{"type":"string"},"title":{"type":"string"},"url":{"type":["string","null"]},"published_date":{"type":["string","null"],"format":"date-time"},"author":{"type":["string","null"]},"source":{"type":["string","null"]}}}},"meta":{"type":"object","properties":{"total":{"type":"integer"},"page":{"type":"integer"},"per_page":{"type":"integer"},"total_pages":{"type":"integer"},"has_next":{"type":"boolean"},"has_prev":{"type":"boolean"}}}}},"examples":[]}],"security":[{"name":"bearerAuth","type":"http","scheme":"bearer","in":"header","description":"Clerk JWT Bearer token"}],"servers":[{"url":"https://api.adjacent.markets","description":"API server"}]}} />
